function swolammo_addAmmoType(%var,%name,%max,%spawn)
{
	if(!isObject(swol_ammoVarSet))
	{
		new scriptObject(swol_ammoVarSet)
		{
			ammoCnt = 0;
		};
	}
	%cnt = swolammo_getCount();
	for(%i=0;%i<%cnt;%i++)
	{
		%tmp = swolammo_getAmmo(%i);
		if(%tmp $= %var)
		{
			%modify = %i;
			break;
		}
	}
	%set = swol_ammoVarSet;
	if(%modify $= "")
	{
		%set.ammo[%set.ammoCnt] = %var;
		%set.ammoCnt++;
	}
	%set.data_[%var,"name"] = %name;
	%set.data_[%var,"max"] = %max;
	%set.data_[%var,"spawn"] = %spawn;
	%set.data_[%var,"indx"] = %set.ammoCnt;
}
function swolammo_setSpawn(%var,%amt){swol_ammoVarSet.data_[%var,"spawn"] = %amt;}
function swolammo_getName(%var){return swol_ammoVarSet.data_[%var,"name"];}
function swolammo_getSpawn(%var){return swol_ammoVarSet.data_[%var,"spawn"];}
function swolammo_getMax(%var){return swol_ammoVarSet.data_[%var,"max"];}
function swolammo_getCount(){return swol_ammoVarSet.ammoCnt;}
function swolammo_getAmmo(%indx){return swol_ammoVarSet.ammo[%indx];}
function swolammo_getVar(%var,%str){return swol_ammoVarSet.data_[%var,%str];}
function swolammo_addVar(%var,%str,%val)
{
	if(%str $= "name" || %str $= "spawn" || %str $= "max")
		return;
	%str = getSafeVariableName(%str);
	swol_ammoVarSet.data_[%var,%str] = %val;
}

if($Pref::Swol_SWepsDisableAmmoBoxDB)
	return;

datablock ItemData(ammoBox9mmItemA)
{
	category = "Weapon";
	className = "Weapon";
	
	weaponClass = "ammo";

	shapeFile = "./model/ammobox_9mmA.dts";
	rotate = true;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	uiName = "Ammo Small";
	iconName = "./model/icon/icon_ammo9mm";
	doColorShift = true;
	colorShiftColor = "0.9 0.5 0.3 1";
	isAmmo = 1;
	sAmmo = 36*2;
	sAmmoType = "9mm";
	canDrop = true;
};
if($Pref::Swol_SWepsExtraAmmoBoxes)
{
	datablock ItemData(ammoBox9mmItemB : ammoBox9mmItemA)
	{
		shapeFile = "./model/ammobox_9mmB.dts";
		iconName = "./model/icon/icon_ammo9mm";
		uiName = "Ammo Small B";
		
		colorShiftColor = "0.9 0.5 0.3 1";
		sAmmo = 36*2;
		sAmmoType = "9mm";
	};
}
datablock ItemData(ammoBoxShotgunItemA : ammoBox9mmItemA)
{
	shapeFile = "./model/ammobox_shotgunA.dts";
	uiName = "Ammo Shotgun";
	iconName = "./model/icon/icon_ammoShotgun";
	colorShiftColor = "0.161 0.279 0.135 1";
	sAmmo = 16;
	sAmmoType = "shotgun_shells";
};
if($Pref::Swol_SWepsExtraAmmoBoxes)
{
	datablock ItemData(ammoBoxShotgunItemB : ammoBoxShotgunItemA)
	{
		shapeFile = "./model/ammobox_shotgunB.dts";
		iconName = "./model/icon/icon_ammoShotgun";
		uiName = "Ammo Shotgun B";
		colorShiftColor = "0.161 0.279 0.135 1";
		sAmmo = 16;
		sAmmoType = "shotgun_shells";
	};
}
datablock ItemData(ammoBoxRevolverItemA : ammoBox9mmItemA)
{
	shapeFile = "./model/ammobox_revolverA.dts";
	iconName = "./model/icon/icon_ammoRevolver";
	uiName = "Ammo Magnum";
	colorShiftColor = "0.2 0.25 0.6 1";
	sAmmo = 12;
	sAmmoType = "357";
};
if($Pref::Swol_SWepsExtraAmmoBoxes)
{
	datablock ItemData(ammoBoxRevolverItemB : ammoBoxRevolverItemA)
	{
		shapeFile = "./model/ammobox_revolverB.dts";
		iconName = "./model/icon/icon_ammoRevolver";
		uiName = "Ammo Magnum B";
		colorShiftColor = "0.2 0.25 0.6 1";
		sAmmo = 12;
		sAmmoType = "357";
	};
}
datablock ItemData(ammoBox556ItemA : ammoBox9mmItemA)
{
	shapeFile = "./model/ammobox_556A.dts";
	iconName = "./model/icon/icon_ammo556";
	uiName = "Ammo Medium";
	colorShiftColor = "0.4 0.1 0.3 1";
	sAmmo = 60;
	sAmmoType = "556";
};
if($Pref::Swol_SWepsExtraAmmoBoxes)
{
	datablock ItemData(ammoBox556ItemB : ammoBox556ItemA)
	{
		shapeFile = "./model/ammobox_556B.dts";
		iconName = "./model/icon/icon_ammo556";
		uiName = "Ammo Medium B";
		colorShiftColor = "0.4 0.1 0.3 1";
		sAmmo = 60;
		sAmmoType = "556";
	};
}
datablock ItemData(ammoBoxM60ItemA : ammoBox9mmItemA)
{
	shapeFile = "./model/ammobox_M60A.dts";
	iconName = "./model/icon/icon_ammoM60";
	uiName = "Ammo Heavy";
	doColorShift = true;
	colorShiftColor = "0.6 0.6 0 1";
	sAmmo = 200;
	sAmmoType = "Heavy";
};
if($Pref::Swol_SWepsExtraAmmoBoxes)
{
	datablock ItemData(ammoBoxM60ItemB : ammoBoxM60ItemA)
	{
		shapeFile = "./model/ammobox_M60B.dts";
		iconName = "./model/icon/icon_ammoM60";
		uiName = "Ammo Heavy B";
		doColorShift = false;
		sAmmo = 200;
		sAmmoType = "Heavy";
	};
}
if($Pref::Swol_SWepsExtraAmmoBoxes)
{
	datablock ItemData(ammoCrateM60Item : ammoBoxM60ItemA)
	{
		shapeFile = "./model/ammocrate_M60.dts";
		iconName = "./model/icon/icon_ammoM60Crate";
		uiName = "Ammo Crate Heavy";
		doColorShift = true;
		colorShiftColor = "0.37 0.25 0.1 1";
		sAmmo = 600;
		sAmmoType = "Heavy";
		notJustAnAlt = 1;
		
		//crateNodeCount = 3;
		//crateNode[0] = "ammoBox1";
		//crateNode[1] = "ammoBox2";
		//crateNode[2] = "ammoBox3";
	};
}
