//Deprecated functions

function player::sAmmo_heatCooldown(%pl,%db,%slot){sWeps_heatCooldown(%pl,%db,%slot);}
function sAmmo_fire(%db,%pl,%slot,%spread,%vel,%cnt){sWeps_fire(%db,%pl,%slot,%spread,%vel,%cnt);}
function sAmmo_display(%pl,%fake){sWeps_display(%pl,%fake);}
function sAmmo_getEyeMod(%pl,%slot,%projVel){sWeps_getEyeMod(%pl,%slot,%projVel);}
function sAmmo_setScoped(%pl,%im,%bool,%override){sWeps_setScoped(%pl,%im,%bool,%override);}


function player::getMaxAmmo(%pl,%type)
{
	%max = swolammo_getMax(%type);
	if(%max $= "")
		%max = 9999;
	for(%i=0;%i<%pl.getDatablock().maxTools;%i++)
	{
		%tool = %pl.tool[%i];
		if(%tool.isAmmo)
			continue;
		if(%tool.sAmmoType $= %type && %tool.sAmmoMode !$= "thrown")
		{
			%max += %tool.sAmmo-%pl.sAmmo[nameToId(%tool)];
		}
	}
	return %max;
}
function item::swol_pickupAmmo(%item,%pl)
{
	%db = %item.getDatablock();
	if(%item.sAmmo $= "")
		%item.sAmmo = %db.sAmmo;
	%add = %item.sAmmo;
	%ret = 1;
	%ammoType = %db.sAmmoType;
	%needItemInInv = (%db.sAmmoMode $= "Thrown");
	%max = swolammo_getMax(%ammoType);
	if(%max $= "")
		%max = 9999;
	%hasItemInInv = 0;
	%hasSpaceFree = 0;
	for(%i=0;%i<%pl.getDatablock().maxTools;%i++)
	{
		%tool = %pl.tool[%i];
		if(%tool.isAmmo)
			continue;
		if(!%tool)
		{
			%hasSpaceFree = 1;
			continue;
		}
		if(%needItemInInv && %tool == %db)
		{
			%hasItemInInv = 1;
		}
		if(%tool.sAmmoType $= %ammoType)
		{
			%max += %tool.sAmmo-%pl.sAmmo[nameToId(%tool)];
		}
	}
	if(%needItemInInv && !%hasItemInInv)
	{
		if(!%hasSpaceFree)
			return 0;
	}
	if(%pl.sReserve[%ammoType] < %max)
	{
		if(%db.sAmmoPickupNoise !$= "")
			serverPlay3D(pickup @ %db.sAmmoPickupNoise @ Sound,%item.getPosition());
		else if(%db.sAmmoPickupGenericNoise $= "")
			serverPlay3D(pickupAmmo @ getRandom(1,2) @ Sound,%item.getPosition());
		else 
			serverPlay3D(pickupGeneric @ getRandom(1,3) @ Sound,%item.getPosition());
		if(isObject(%item.spawnBrick))
		{
			%item.fadeOut();
			if(%needItemInInv && !%hasItemInInv && %hasSpaceFree)
				%item.temporaryUnfadepickup = 1;
			%item.schedule(%item.spawnbrick.itemrespawntime,fadeIn);
			if(%db.crateNodeCount !$= "")
			{
				%add *= %db.crateNodeCount;
			}
		}
		else
		{
			if(%db.crateNodeCount !$= "" && %db.crateNodeCount > 0)
			{
				if(%item.nodePickups < %db.crateNodeCount)
				{
					%item.nodePickups = mClamp(%item.nodePickups,0,99);
					%item.hideNode(%db.crateNode[%item.nodePickups]);
					if(%db.crateEffectNode !$= "")
					{
						if(%db.crateEffectNodeFade == %item.nodePickups)
							%item.hideNode(%db.crateEffectNode);
					}
					%item.nodePickups++;
					if(%item.nodePickups >= %db.crateNodeCount)
					{
						%item.canPickup = 0;
						%item.delete();
					}
				}
			}
			if(%db.sAmmoMode !$= "Thrown" || %hasItemInInv)
			{
				%item.canPickup = 0;
				%item.schedule(1,delete);
				%ret = 0;
			}
		}
		%pl.playThread(2,plant);
		%pl.sReserve[%ammoType] = mClamp(%pl.sReserve[%ammoType]+%add,0,%max);
		if(%ammoType $= "c4")
		{
			if(isObject(%im = %pl.getMountedImage(1)))
			{
				if(%im == nameToId(c4TriggerImage))
				{
					if(!isObject(%pl.getMountedImage(0)))
					{
						
						%pl.remountC4Image();
					}
				}
			}
		}
		if(%pl.ammoDropMode)
		{
			if(%pl.fakeToolAmmoType[%pl.currTool] $= %ammoType)
			{
				%pl.swol_remountAmmoDropImage();
			}
		}
		else
		{
			sAmmo_display(%pl);
		}
	}
	return %ret;
}

function sAmmo_dec(%db,%pl,%slot)
{
	if($Pref::Swol_NoAmmo == 1)
		return 9999;
	//if(%db.dbOverride !$= "")%db = %db.dbOverride;
	%pl.sAmmo[nameToId(%db.item)]--;
	sAmmo_display(%pl);
	return %pl.sAmmo[nameToId(%db.item)];
}
function sAmmo_rDec(%db,%pl,%slot)
{
	//if(%db.dbOverride !$= "")%db = %db.dbOverride;
	if(%db.item.sAmmoMode $= "Thrown")
		return %pl.sReserve[%db.item.sAmmoType]--;
	if($Pref::Swol_ReserveAmmo == 1 && %pl.getClassName() !$= "AiPlayer")
		%pl.sReserve[%db.item.sAmmoType]--;
}
function sAmmo_reload(%db,%pl,%slot)
{
	//if(%db.dbOverride !$= "")%db = %db.dbOverride;
	%max = %db.item.sAmmo;
	if($Pref::Swol_ReserveAmmo == 1)
	{
		%diff = %max-%pl.sAmmo[nameToId(%db.item)];
		%sub = mClamp(%pl.sReserve[%db.item.sAmmoType],0,%diff);
		if(%sub > 0)
		{
			%pl.sAmmo[nameToId(%db.item)] += %sub;
			%pl.sReserve[%db.item.sAmmoType] -= %sub;
		}
	}
	else
	{
		%pl.sAmmo[nameToId(%db.item)] = %max;
	}
	%pl.sAmmo_warn = "reload";
	%pl.sAmmo_warnMax = 150;
	%pl.sAmmo_lastWarn = getSimTime();
	sAmmo_display(%pl);
}
function sAmmo_load(%db,%pl,%slot,%cnt)
{
	if(%db.dbOverride !$= "")%db = %db.dbOverride;
	%pl.sAmmo[nameToId(%db.item)] = %cnt;
	%pl.sAmmo_warn = "reload";
	%pl.sAmmo_warnMax = 150;
	%pl.sAmmo_lastWarn = getSimTime();
	sAmmo_display(%pl);
}
function sAmmo_rCheck(%db,%pl,%slot)
{
	if(%db.dbOverride !$= "")%db = %db.dbOverride;
	
	if(%db.item.sAmmoMode $= "Thrown")
		return %pl.sReserve[%db.item.sAmmoType];
	if($Pref::Swol_ReserveAmmo != 1 || %pl.getClassName() $= "AiPlayer")
		return 9999;
	if(%pl.sReserve[%db.item.sAmmoType] > 0)
		return %pl.sReserve[%db.item.sAmmoType];
	return 0;
}
function sAmmo_check(%db,%pl,%slot)
{
	if(%pl.sAmmo_fireDelay !$= "" && (getSimTime()-%pl.sAmmo_fireDelay < 0))
		return 0;
	if(getSimTime()-%pl.sWeps_fireDelay[%db] < 0)
		return 0;
	if(%db.dbOverride !$= "")%db = %db.dbOverride;
	if(%pl.sAmmo[nameToId(%db.item)] > 0)
		return %pl.sAmmo[nameToId(%db.item)];
	return 0;
}
function sWeps_displayNotif(%pl,%type)
{
	%pl.sAmmo_warn = %type;
	%pl.sAmmo_warnMax = 150;
	%pl.sAmmo_lastWarn = getSimTime();
	sWeps_display(%pl);
}
function sWeps_loopingAudioEnd(%db,%pl,%slot,%sound)
{
	if(%pl.isPlayingLoopingAudio[%db,%slot+1])
	{
		%pl.isPlayingLoopingAudio[%db,%slot+1] = 0;
		%pl.stopAudio(%slot+1);
		if(%sound !$= "")
			serverPlay3D(%sound,%pl.getPosition());
		return 1;
	}
	return 0;
}
function sWeps_loopingAudioStart(%db,%pl,%slot,%sound)
{
	if(!%pl.isPlayingLoopingAudio[%db,%slot+1])
	{
		%pl.playAudio(%slot+1,%sound);
		%pl.isPlayingLoopingAudio[%db,%slot+1] = 1;
		return 1;
	}
	return 0;
}
function sWeps_heat(%db,%pl,%slot)
{
	%pl.sAmmo_heat[%db] = mClamp(%pl.sAmmo_heat[%db]+1,0,%db.item.sHeat);
	cancel(%pl.sAmmoCooldownHeatSched[%db]);
	%pl.sAmmoCooldownHeatSched[%db] = schedule(200,%pl,sWeps_heatCooldown,%db,%pl,%slot);
}
function sWeps_heatCooldown(%db,%pl,%slot)
{
	if(%db.dbOverride !$= "")%db = %db.dbOverride;
	cancel(%pl.sAmmoCooldownHeatSched[%db]);
	if(%pl.sAmmo_heat[%n = nameToId(%db)] > 0)
		%pl.sAmmo_heat[%n]--;
	else
		return;
		
	%pl.sAmmoCooldownHeatSched[%db] = schedule(50,%pl,sWeps_heatCooldown,%db,%pl,%slot);
}
function sWeps_fire(%db,%pl,%slot,%spread,%vel,%cnt)
{
	if(%spread $= "")
	{
		if(%db.projectileHeatSpread !$= "")
			%spread = %db.projectileSpread+((%pl.sAmmo_heat[%db]/%db.item.sHeat)*%db.projectileHeatSpread);
		else if(%db.projectileSpread !$= "")
			%spread = %db.projectileSpread;
		else
			%spread = 0;
	}
	if(%vel $= "")
	{
		if(%db.projectileSpeed !$= "")
			%vel = %db.projectileSpeed;
		else if(%db.projectile.muzzleVelocity !$= "")
			%vel = %db.projectile.muzzleVelocity;
		else
			%vel = 200;
		if(strPos(%vel," ") != -1)
		{
			%velMin = getWord(%vel,0);
			%velMax = getWord(%vel,1);
		}
	}
	if(%cnt $= "")
	{
		if(%db.projectileCnt !$= "")
			%cnt = %db.projectileCnt;
		else
			%cnt = 1;
	}
	%up = %pl.getUpVector();
	%upHack = %pl.getUpVectorHack();
	%forward = %pl.getForwardVector();
	%rightVec = vectorCross(%forward,%up);
	%muzVec = sWeps_getEyeMod(%pl,%slot);
	%time = getSimTime();
	
	if(%db.projectile.sShotgunProj)
		%setNum = getRandom(0,99999);
	for(%i=0;%i<%cnt;%i++)
	{
		%a = (getRandom()-0.5)*($PI*2);
		%x = mCos(%a)*(getRandom()*%spread);
		%y = mSin(%a)*(getRandom()*%spread);
		
		%pVec = %pl.getVelocity();
		if(%velMin !$= "")
			%vel = getRandom(%velMin,%velMax);
		%velA = vectorScale(vectorAngleRotate(vectorAngleRotate(%muzVec,%upHack,%x),%rightVec,%y),%vel);
		%velA = vectorAdd(%velA,vectorScale(%pVec,(%pl.getObjectMount() ? 0.6 : 0.2)));
		%muzPoint = %pl.getMuzzlePoint(%slot);
		%muz = %muzPoint;
		%p = new projectile()
		{
			datablock = %db.projectile;
			initialPosition = %muz;
			initialVelocity = %velA;
			client = %pl.client;
			sourceObject = %pl;
			sourceSlot = %slot;
			createTime = %time;
			createPos = %muz;
		};
		if(%db.projectile.sShotgunProj)
		{
			%p.bulletIDSet = %setNum;
			%min = 200;
			%max = 400;
			if(%db.projectileLifetimeMin !$= "")
				%min = %db.projectileLifetimeMin;
			if(%db.projectileLifetimeMax !$= "")
				%max = %db.projectileLifetimeMax;
			else if(%db.projectileLifetimeMin !$= "")
				%max = %db.projectileLifetimeMin;
			%p.schedule(getRandom(%min,%max),delete);
		}
		else if(!%db.projectile.noBulletWhiz)
			sWeps_bulletWhizLoop(%p);
		//if(%vel > 200)
		//{
		//	%p.initialVelocity = %velA;
		//	
		//	%pFake = new projectile()
		//	{
		//		datablock = sniperFakeEmptyProjectile;
		//		initialPosition = %muz;
		//		initialVelocity = %velA;
		//		client = 0;
		//		sourceObject = 0;
		//		sourceSlot = 0;
		//	};
		//	
		//	%p.fakeProj = %pFake;
		//}
	}
	if(%pl.getClassName() $= "AiPlayer")
	{
		if(getSimTime()-%pl.lastReloadCheck > 20)
		{
			cancel(%pl.doReloadSched);
			if(!%pl.doReloadCheck(%db,1))
			{
				%pl.doReloadSched = %pl.schedule(getRandom(8000,10000),doReloadCheck,%db);
			}
		}
	}
	if(%db.item.sHeat !$= "")
		sWeps_heat(%db,%pl,%slot);
	return %p;
}
function sWeps_display(%pl,%fake)
{
	if(!isObject(%cl = %pl.client))
		return;
	if($Pref::Swol_NoAmmo)
		return;
	if(strLen(%fake) != 0)
	{
		%pl.sAmmo_warn = "fake";
		%pl.sAmmo_fake = %fake;
		%pl.sAmmo_warnMax = 6000;
		%pl.sAmmo_lastWarn = getSimTime();
	}
	if(!isObject(%im = %pl.getMountedImage(0)))
	{
		if(%pl.sAmmoBottom)
		{
			bottomPrint(%cl,"",1);
			%pl.sAmmoBottom = 0;
		}
		return;
	}
	if(%im.dbOverride !$= "")%im = %im.dbOverride;
	if(%im)
	{
		%item = %im.item;
		if((%max = %item.sAmmo) !$= "")
		{
			%curr = %pl.sAmmo[nameToId(%item)];
			if(%fake !$= "")
				%curr = %fake;
			%col = "\c6";
			%time = getSimTime();
			if((%warn = %pl.sAmmo_warn) !$= "")
			{
				if(%time-%pl.sAmmo_lastWarnCD < 100)
				{
					%warn = %pl.sAmmo_warn = "";
				}
				else
				{
					%diff = %time-%pl.sAmmo_lastWarn;
					%maxW = %pl.sAmmo_warnMax;
					if(%diff > %maxW)
					{
						%warn = %pl.sAmmo_warn = "";
						%pl.sAmmo_lastWarnCD = %time;
					}
					else
					{
						%pl.sAmmo_unWarnSched = schedule((%maxW-%diff)+50,0,sAmmo_display,%pl);
					}
					if(%warn !$= "")
					{
						
						if(%warn $= "warn")
							%col = "<color:ff7777>";
						else if(%warn $= "reload")
							%col = "<color:ffff77>";
						else if(%warn $= "fake")
							%curr = %pl.sAmmo_fake;
					}
				}
			}
			if($Pref::Swol_ReserveAmmo == 1  || %item.sAmmoMode $= "thrown")
			{
				%max = %pl.sReserve[%item.sAmmoType];
			}
			if(%max $= "")
				%max = 0;
			if(%item.sAmmoMode $= "thrown"  || %item.sAmmoMode $= "reservePull")
			{
				%curr = %max;
				%max = "";
				if(!$Pref::Swol_ReserveAmmo && %item.sAmmoMode $= "reservePull")
				{
					%curr = "Limitless";
				}
			}
			%title =  %col @ %curr @ (%max $= "" ? "<font:impact:12> " : "<color:bbbbbb><font:impact:24> " @ %max);
			%rstr = "<color:ffffaa>" @ swolammo_getName(%item.sAmmoType);
		}
		else
		{
			if(%pl.sAmmoBottom)
			{
				bottomPrint(%cl,"",1);
				%pl.sAmmoBottom = 0;
			}
			return;
		}
	}

	
	bottomPrint(%cl,"<font:impact:34><just:right>\c6" @ %title @ " <br><just:right><font:impact:18> " @ %rstr @ " ",50);
	%pl.sAmmoBottom = 1;
}
function sWeps_getEyeMod(%pl,%slot,%projVel)
{
	if(%projVel $= "")
		%projVel = 180;
	
	%initPos = %pl.getEyeTransform();
	%muzzlevector = %pl.getMuzzleVector(%slot);
	%start = %initPos;
	%vec = VectorScale(%muzzlevector,20);
	%end = VectorAdd(%start, %vec);
	
	%mask = $TypeMasks::PlayerObjectType | $TypeMasks::VehicleObjectType | $TypeMasks::StaticObjectType;
	%raycast = containerRayCast(%start, %end, %mask, %pl);
	%hitPos = posFromRaycast(%raycast);
	%eyeDiff = VectorLen(VectorSub(%start, %hitPos));
	
	%muzzlepoint = %pl.getMuzzlePoint(%slot);
	%muzzleDiff = VectorLen(VectorSub(%muzzlepoint, %hitPos));
	%ratio = (%eyeDiff / %muzzleDiff);
	%dataMuzzleVelocity = (%projVel * %ratio);
	
	%initPos = %muzzlepoint;
	if(%pl.isFirstPerson())
	{
		%start = %pl.getEyePoint();
		%eyeVec = VectorScale(%pl.getEyeVector(),5);
		%end = VectorAdd(%start, %eyeVec);
		%mask = $TypeMasks::PlayerObjectType | $TypeMasks::VehicleObjectType | $TypeMasks::FxBrickObjectType | $TypeMasks::StaticShapeObjectType | $TypeMasks::StaticObjectType;
		%mount = %pl.getObjectMount();
		
		%raycast = containerRayCast(%start, %end, %mask, %pl, %mount);
		if(%raycast)
		{
			%eyeTarget = posFromRaycast(%raycast);
			%eyeTargetVec = VectorSub(%eyeTarget, %start);
			%eyeToMuzzle = VectorSub(%start, %initPos);
			if(vectorLen(%eyeTargetVec) < 3.1)
			{
				%muzzlevector = %pl.getEyeVector();
				%initPos = %start;
			}
		}
		%eyeVector = %pl.getEyeVector();
		%rawMuzzleVector = %pl.getMuzzleVector(%slot);
		%dot = VectorDot(%eyeVector, %rawMuzzleVector);
	}
	return %muzzleVector;
}
function sWeps_clearShotgunSoundData(%id)
{
	cancel($SwolCombat_ShotgunData[%id]);
	$SwolCombat_ShotgunSoundCnt[%id] = "";
	$SwolCombat_ShotgunData[%id] = "";
}
function sWeps_bulletWhizLoop(%proj)
{
	if($Pref::Swol_NoBulletWhiz)
		return;
	if(!isObject(%proj))
		return;
	if($Pref::Swol_BulletWhizOutOfMinigame)
	{
		%mini = clientGroup;
		%cnt = %mini.getCount();
	}
	else
	{
		%mini = %proj.client.minigame;
		%cnt = %mini.numMembers;
	}
	if(!isObject(%mini))
		return;
	%ppos = %proj.getPosition();
	if(%ppos $= %proj.prev)
	{
		return;
	}
	%proj.prev = %ppos;
	%pvec = vectorNormalize(%proj.getVelocity());
	%time = getSimTime();
	for(%i=0;%i<%cnt;%i++)
	{
		if(%mini.class !$= "")
			%cl = %mini.member[%i];
		else 
			%cl = %mini.getObject(%i);

		if(!%pl = %cl.player)
			continue;
		%pos = %pl.getPosition();
		%dist = vectorDist(%pos,%ppos);
		if(%time-%cl.lastBulletWhizSound < 50)
			continue;
		if(%dist < 15)
		{
			if(getSimTime()-%cl.lastBulletWhizSound < 50)
				continue;
			%to = vectorNormalize(vectorSub(%ppos,%pos));
			%toCheck = vectorNormalize(vectorSub(%pos,%proj.createPos));
			%dotCheck = vectorDot(%toCheck,%pvec);
			if(%dotCheck > 0.5)
			{
				%dot = vectorDot(%to,%pvec);
				if(%dot > -0.4)
				{
					if(%proj.miss[%cl] $= "")
					{
						%cl.lastBulletWhizSound = getSimTime();
						%to = vectorNormalize(vectorSub(%ppos,%pos));
						%slen = vectorLen(vectorSub(%ppos,%pos));
						%d = vectorLen(vectorCross(%pvec,vectorSub(%pos,vectorAdd(%ppos,vectorScale(%pvec,20)))));
						%normSq = vectorLen(%pvec);
						%normSq *= %normSq;
						%m = vectorDot(%pvec,%to)/%normSq;
						%pray = vectorScale(vectorNormalize(vectorSub(%to,vectorScale(%pvec,%m))),%d*1.4);
						%sPos = vectorAdd(%pos,%pray);
						%cl.play3D(bulletMiss @ getRandom(1,5) @ Sound,%sPos);
						%proj.miss[%cl] = 1;
					}
				}
			}
		}
	}
	cancel(%proj.whizLoop);
	%proj.whizLoop = schedule(32,0,sWeps_bulletWhizLoop,%proj);
}
package swol_sweps
{
	function EnvGuiServer::PopulateEnvResourceList(%d) //clients PLEASE download this
	{
		parent::PopulateEnvResourceList(%d);
		$EnvGuiServer::Resource[$EnvGuiServer::ResourceCount] = "Add-Ons/Weapon_SWeps/model/icon/ci_headshot";
		$EnvGuiServer::ResourceCount++;
	}
	function player::emote(%pl,%im,%skipspam)
	{
		if(%pl.getDatablock().isEmptyPlayer)
			return;
		parent::emote(%pl,%im,%skipspam);
	}
	function armor::onDisabled(%db,%pl,%bool)
	{
		if(%db.isEmptyPlayer)
			return;
		return parent::onDisabled(%db,%pl,%bool);
	}
	function armor::onMount(%db,%pl,%obj,%node)
	{
		if(%db.isEmptyPlayer)
			return;
		return parent::onMount(%db,%pl,%obj,%node);
	}
	function armor::onCollision(%db,%pl,%hit,%a,%b,%c,%d,%e,%f)
	{
		if(((%idb = %hit.getDatablock()).isAmmo || %idb.sAmmoMode $= "Thrown") && %idb.getClassName() $= "ItemData" && %hit.canPickup && %pl.getDamagePercent() < 1 && minigameCanUse(%pl.client,%hit))
		{
			%ret = %hit.swol_pickupAmmo(%pl);
			if(%idb.sAmmoMode !$= "Thrown" || (!%ret && %idb.sAmmoMode $= "Thrown"))
				return;
		}
		return parent::onCollision(%db,%pl,%hit,%a,%b,%c,%d,%e,%f);
	}
	function projectileData::onCollision(%db,%proj,%hit,%vec,%hitPos,%a,%b)
	{
		%vel = %proj.getVelocity();
		if(%db.sProjectile)
		{
			if(%db.sShotgunProj)
			{
				%n = %proj.bulletIDSet;
				if($SwolCombat_ShotgunSoundCnt[%n] < 2)
				{
					$SwolCombat_ShotgunSoundCnt[%n]++;
					cancel($SwolCombat_ShotgunData[%n]);
					$SwolCombat_ShotgunData[%n] = schedule(1000,0,sWeps_clearShotgunSoundData,%n);
					if(%hit.getType() & $TypeMasks::PlayerObjectType)
					{
						serverPlay3D(shotgunHitPl @ getRandom(1,3) @ Sound,%proj.getPosition());
					}
					else
					{
						serverPlay3D(bulletImpactEnv @ getRandom(1,5) @ Sound,%proj.getPosition());
					}
				}
			}
			else if(%db.sRicochetProj)
			{
				if(%hit.getType() & $TypeMasks::PlayerObjectType)
				{
					serverPlay3D(bulletImpactPl @ getRandom(1,4) @ Sound,%proj.getPosition());
				}
				else
				{
					serverPlay3D(revolverRicochet @ getRandom(1,3) @ Sound,%proj.getPosition());
				}
			}
			else
			{
				if(%hit.getType() & $TypeMasks::PlayerObjectType)
				{
					if(%db.sSpecialPlImpactCnt)
					{
						serverPlay3D(%db.sSpecialPlImpactPrefix @ getRandom(1,%db.sSpecialPlImpactCnt) @ Sound,%proj.getPosition());
					}
					else
					{
						serverPlay3D(bulletImpactPl @ getRandom(1,4) @ Sound,%proj.getPosition());
					}
				}
				else
				{
					if(%db.sSpecialEnvImpactCnt)
					{
						serverPlay3D(%db.sSpecialEnvImpactPrefix @ getRandom(1,%db.sSpecialEnvImpactCnt) @ Sound,%proj.getPosition());
					}
					else
					{
						serverPlay3D(bulletImpactEnv @ getRandom(1,5) @ Sound,%proj.getPosition());
					}
				}
			}
		}
		if(%hit.getType() & $TypeMasks::PlayerObjectType && !%hit.getDatablock().useCustomPainEffects)
		{
			%hit.lastDamageWorldPos = %hitPos;
			%hit.lastDamagePos = swol_calculateDamagePosition(%hit,%hitPos);
		}
		parent::onCollision(%db,%proj,%hit,%vec,%hitPos,%a,%b);
		if(((%hit.getType() & $TypeMasks::FxBrickObjectType) || (%hit.getType() & $TypeMasks::TerrainObjectType)) && %db.sRicochetProj)
		{
			%norm = %proj.getLastImpactNormal();
			%bounceVel = vectorSub(%vel,VectorScale(%norm,(vectorDot(%vel,%norm)*2)));
			%p = new projectile()
			{
				dataBlock = sWepRicochetProjectile;
				initialVelocity = %bounceVel;
				initialPosition = %proj.getLastImpactPosition();
				sourceObject = %proj.sourceObject;
				sourceSlot = %proj.sourceSlot;
				client = %proj.client;
				createPos = %proj.getLastImpactPosition();
				directDamageOverride = %db.directDamageType;
				headshotDamageOverride = %db.headshotDamageType;
				dmgMod = %db.directDamage/3;
				dmgModHead = %db.headshotDamage/3;
			};
			sWeps_bulletWhizLoop(%p);
			%len = (getRandom()*100)+20;
			if($Swol_LongRicochets)
				%p.schedule(6000,delete);
			else
				%p.schedule(%len,delete);
			if($Pref::Swol_SWepsRicochetsDamage)
				schedule(1,0,fuckTorqueRaycastBullshit,%proj.getLastImpactPosition(),vectorAdd(%proj.getLastImpactPosition(),vectorScale(vectorNormalize(%bounceVel),(%len)*0.2)),%len,%p);
		}
	}
	function fuckTorqueRaycastBullshit(%start,%end,%delay,%proj) //if you try to do a raycast in the same frame as projectileData::onCollision the raycasts won't work on players???
	{
		if(!isObject(%proj))
			return;
		%mask = $TypeMasks::PlayerObjectType | $TypeMasks::FxBrickObjectType | $TypeMasks::StaticObjectType | $TypeMasks::VehicleObjectType;
		%ray = containerRayCast(%start,%end,%mask);
		if(%pl = getWord(%ray,0))
		{
			if(%pl.getType() & $TypeMasks::PlayerObjectType)
			{
				if(minigameCanDamage(%proj,%pl) == 1)
				{
					%hitAt = posFromRaycast(%ray);
					%dist = vectorDist(%hitAt,%start);
					%tot = vectorDist(%start,%end);
					
					%pl.lastDamageWorldPos = %hitAt;
					%pl.lastDamagePos = swol_calculateDamagePosition(%pl,%hitAt);
					sWepRicochetProjectile.damage(%proj,%pl,0,%hitAt,0);
					serverPlay3D(bulletImpactPl @ getRandom(1,4) @ Sound,%hitAt);
				}
			}
		}
	}
	function projectileData::damage(%db,%proj,%hit,%fade,%pos,%normal)
	{
		if(%db.sProjectile && %hit.getType() & $TypeMasks::PlayerObjectType && !%hit.getDatablock().useCustomPainEffects)
		{
			if(%proj.directDamageOverride !$= "")
				%damageType = %proj.directDamageOverride;
			else
				%damageType = %db.directDamageType;
				
			%dmgAmt = %db.directDamage;
			if(%proj.dmgMod)
				%dmgAmt = %proj.dmgMod;
			else
				%dmgAmt = %db.directDamage;
			if(%db.sShotgunProj)
			{
				%bloodExpDb = shotgunBloodHitProjectile;
				%scale = 1;
			}
			else
			{
				if(%hit.lastDamagePos $= "head")
				{
					if(%db.headShotDamage !$= "")
					{
						%headshot = 1;
						if(%proj.headshotDamageOverride !$= "")
							%damageType = %proj.headshotDamageOverride;
						else
							%damageType = %db.headShotDamageType;
						if(%proj.dmgModHead)
							%dmgAmt = %proj.dmgModHead;
						else
							%dmgAmt = %db.headShotDamage;
						//%dmgAmt = 132;
					}
					%dmgAmt *= 1.5;
					%hit.lastHeadshot = getSimTime();
				}
				else if(%hit.lastDamagePos $= "upbody")
				{
					%dmgAmt *= 1.1;
				}
				else if(%hit.lastDamagePos $= "lowbody")
				{
					%dmgAmt *= 1;
				}
				else if(%hit.lastDamagePos $= "legs")
				{
					%dmgAmt *= 0.75;
				}
				%dist = vectorDist(%proj.createPos,%hit.lastDamageWorldPos);
				%falloff = $Pref::Swol_SWepsDamageFalloffDist*%db.sDamageFalloff;  
				%const = (1/(%falloff*(1-%db.sDamageFalloffRatio)));
				%end = (1/%const);
				%prcnt = 1;
				if(%dist > %falloff)
				{
					%d = %dist-%falloff;
					%prcnt = (mCos(%d*$PI*%const)/4)+(3/4);
					if(%d > %end)
						%prcnt = 0.5;
					%dmgAmt *= %prcnt;
				}
				if($falloffDebug)
				{
					SM_Debug.clear();
					%to = vectorNormalize(vectorSub(%proj.createPos,%hit.lastDamageWorldPos));
					SM_Debug.drawLine(%hit.lastDamageWorldPos,vectorAdd(%hit.lastDamageWorldPos,vectorScale(%to,300)),"1 0 0");
					
					%q = SM_Debug.drawPoint(%proj.createPos,"1 1 0");
					%q.setShapeName(%prcnt);
					%q = SM_Debug.drawPoint(vectorAdd(%hit.lastDamageWorldPos,vectorScale(%to,%falloff)),"0 0 1");
					%q.setShapeName(1);
					%q = SM_Debug.drawPoint(vectorAdd(%hit.lastDamageWorldPos,vectorScale(%to,%falloff+%end)),"0 0 1");
					%q.setShapeName(0.5);
					%dmgAmt = 0;
				}
				if(%dmgAmt > 30)
				{
					%bloodExpDb = heavyBulletBloodHitProjectile;	
					%scale = mClampF(%dmgAmt/45,0.8,1.2);
				}
				else
				{
					%bloodExpDb = bulletBloodHitProjectile;
					%scale = mClampF(%dmgAmt/25,0.8,1.2);
				}
			}
			if(%headshot)
				%scale *= 1.2;
			if(isObject(armorSet))
			{
				%armorSlot = "";
				if(%hit.lastDamagePos $= "upbody" || %hit.lastDamagePos $= "lowbody")
					%armorSlot = "body";
				else if(%hit.lastDamagePos $= "head")
					%armorSlot = "head";
				if(%armorSlot !$= "")
				{
					if(%hit.sArmor[%armorSlot] !$= "")
					{
						if(armorSet.armorHp[%hit.sArmor[%armorSlot]] != 0)
						{
							%bDmg = %dmgAmt;
							%dmgAmt = %dmgAmt*%hit.getArmorDamageReduction(%armorSlot,%db);
							%hit.applyArmorDamage(%armorSlot,%bDmg);
							%skipBlood = 1;
							serverPlay3D(pl_helmImpact @ getRandom(1,2) @ Sound,%hit.getPosition());
						}
					}
				}
			}
			
			if($Pref::Swol_SWepsBlood && !%skipBlood)
			{
				%p = new projectile()
				{
					datablock = %bloodExpDb;
					scale = %scale SPC %scale SPC %scale;
					initialPosition = %pos;
					initialVelocity = %proj.getVelocity();
				};
				%p.explode();
			}
			if(%proj.doNotKill)
			{
				if(%hit.getDamageLevel()+%dmgAmt >= %hit.getDatablock().maxDamage)
				{
					%dmgAmt = %hit.getDatablock().maxDamage-(%hit.getDamageLevel()+1);
				}
			}
			%hit.damage(%proj,%pos,%dmgAmt,%damageType);
			if(%hit.getDamagePercent() >= 1)
			{
				if(%headshot && !%db.doNotBlowHeadOff)
				{
					%hit.headExplosion(0);
				}
			}
			return;
		}
		parent::damage(%db,%proj,%hit,%fade,%pos,%normal);
	}
	function AIPlayer::hFollowPlayer(%bot,%targ,%inHoleLoop,%skipAlert)
	{
		%bot.swol_lastChaseTime = getSimTime();
		%ret = parent::hFollowPlayer(%bot,%targ,%inHoleLoop,%skipAlert);
		if(!%bot.hFollowing)
		{
			cancel(%bot.doReloadSched);
			%bot.doReloadSched = %bot.schedule(getRandom(8000,10000),doReloadCheck);
		}
		else
		{
			cancel(%bot.doReloadSched);
		}
		return %ret;
	}
	function armor::onAdd(%db,%pl)
	{
		parent::onAdd(%db,%pl);
		%cnt = swolammo_getCount();
		for(%i=0;%i<%cnt;%i++)
		{
			%var = swolammo_getAmmo(%i);
			%pl.sReserve[%var] = swolammo_getSpawn(%var);
		}
	}
	function serverCmdSuicide(%cl)
	{
		if(isObject(%pl = %cl.player))
		{
			if(%im = %pl.getMountedImage(0))
			{
				if(%im.item.uiName $= "Revolver")
				{
					if(%pl.isRevHoldingClick)
					{
						if(%pl.sAmmo[nameToId(%im.item)] <= 0)
							return;
						if(!%im.eyeOffset)
							%pl.mountImage(revolverSuicideImage,0);
						return;
					}
				}
			}
		}
		parent::serverCmdSuicide(%cl);
	}
	function armor::onTrigger(%db,%pl,%trig,%bool)
	{
		if(isObject(%im = %pl.getMountedImage(0)))
		{
			if(%trig == 4 && %bool)
			{
				if(%pl.getImageState(0) $= "Idle")
				{
					if(%im.item.scopedImage !$= "")
					{
						%pl.sAmmo_unscoping = 1;
						sAmmo_setScoped(%pl,%im,!%im.isScoped);
					}
				}
			}
			if(%im.item.uiName $= "Revolver")
			{
				if(%trig == 4)
				{
					if(%bool)
					{
						%pl.isRevHoldingClick = 1;
					}
					else
					{
						%pl.isRevHoldingClick = "";
					}
				}
			}
			if(%im == nameToId(revolverSuicideImage))
			{
				if(%bool)
				{
					if(%pl.getImageState(0) $= "Idle" && %pl.revTimeStart $= "")
					{
						if(%trig == 4)
						{
							%pl.setImageLoaded(0,0);
						}
						else if(%trig == 0)
						{
							if(%pl.sAmmo[nameToId(%im.item)] > 0)
								%im.dramaStart(%pl,0);
						}
					}
				}
			}
		}
		if(%pl.client.isBlessed)
		{
			if(%im = %pl.getMountedImage(0))
			{
				if(%im == nameToId(revolverSpinImage))
				{
					if(%trig == 0)
					{
						if(%bool)
						{
							if(getSimTime()-%pl.lastSpinRevFireTime > 800)
							{
								%pl.playThread(2,plant);
								serverPlay3D(revolverTrigSound,%pl.getPosition());
								%pl.lastSpinRevFireTime = getSimTime();
								if(sAmmo_check(%im,%pl,0))
								{
									serverPlay3D(revolverFire @ getRandom(1,2) @ Sound,%pl.getPosition());
									%vec = revolverSpinImage::getAimVector(revolverSpinImage,%pl,0);
									%proper = sWeps_getEyeMod(%pl,0,200);
									%dot = vectorDot(%proper,%vec);
									if(%dot > 0.4)
										%vec = %proper;
									%muzPoint = %pl.getMuzzlePoint(0);
									%p = new projectile()
									{
										datablock = revolverProjectile;
										initialPosition = %muzPoint;
										initialVelocity = vectorScale(%vec,200);
										client = %pl.client;
										sourceObject = %pl;
										sourceSlot = 0;
										createTime = getSimTime();
										createPos = %muzPoint;
									};
									%val = sAmmo_dec(%im,%pl,0);
									%pl.sWeps_fireDelay[nameToID(revolverImage)] = getSimTime()+450;
								}
								else
								{
									%pl.sAmmo_warn = "warn";
									%pl.sAmmo_warnMax = 150;
									%pl.sAmmo_lastWarn = getSimTime();
									sAmmo_display(%pl);
								}
							}
						}
						else
						{
							if(sAmmo_check(%im,%pl,0))
							{
								if(!isEventPending(%pl.revolverDrumrollStartSched))
									%pl.playAudio(2,revolverSilenceSound);
								cancel(%pl.revolverDrumrollStartSched);
								cancel(%pl.revolverSpinStop);
							}
						}
					}
					else if(%trig == 4)
					{
						if(%bool)
							%pl.setImageAmmo(0,0);
					}
				}
				else if(nameToId(%im.item) == nameToId(revolverItem))
				{
					if(%pl.getImageState(0) $= "Idle")
					{
						if(%trig == 4 && %bool)
						{
							if(getSimTime()-%pl.doubleTapRevolverTime < 200)
							{
								%pl.mountImage(revolverSpinImage,0);
							}
							else
							{
								%pl.doubleTapRevolverTime = getSimTime();
							}
						}
					}
				}
			}
		}
		else if(%trig == 0)
		{
			if(%im = %pl.getMountedImage(0))
			{
				if(nameToId(%im.item) == nameToId(revolverItem))
				{
					if(%bool)
					{
						if(!isEventPending(%pl.witnessMeSched))
						{
							%pl.revolverPoints = "";
							revolverSpinImage.witnessMe(%pl,0);
						}
					}
					else
					{
						if(isEventPending(%pl.witnessMeSched))
						{
							%pl.witnessMeSched = "";
							%pl.revolverPoints = "";
							cancel(%pl.witnessMeSched);
						}
					}
				}
				else
				{
					if(%pl.witnessMeSched !$= "")
					{
						%pl.revolverPoints = "";
						%pl.witnessMeSched = "";
						cancel(%pl.witnessMeSched);
					}
				}
			}
			else
			{
				if(%pl.witnessMeSched !$= "")
				{
					%pl.revolverPoints = "";
					%pl.witnessMeSched = "";
					cancel(%pl.witnessMeSched);
				}
			}
		}
		parent::onTrigger(%db,%pl,%trig,%bool);
	}
	function gameConnection::onDeath(%cl,%killer,%b,%c,%d,%e)
	{
		if(%cl.player.isScoped)
			%cl.setControlCameraFov(%cl.player.preScopeZoom);
		if(%cl.player.sAmmoBottom)
			bottomPrint(%cl,"",1);
		return parent::onDeath(%cl,%killer,%b,%c,%d,%e);
	}
	function serverCmdLight(%cl)
	{
		if(!isObject(%pl = %cl.player))
			return parent::serverCmdLight(%cl);
		if(!isObject(%im = %pl.getMountedImage(0)))
			return parent::serverCmdLight(%cl);
		if(%im.dbOverride !$= "")%im = %im.dbOverride;
		if((%max = %im.item.sAmmo) !$= "")
		{
			if(%pl.sAmmo[nameToId(%im.item)] < %max)
			{
				if(%pl.getImageState(0) $= "Idle" && ($Pref::Swol_ReserveAmmo == 0 || %pl.sReserve[%im.item.sAmmoType] > 0) && !$Pref::Swol_NoAmmo)
				{
					%pl.setImageLoaded(0,0);
				}
				return;
			}
		}
		return parent::serverCmdLight(%cl);
	}
	function serverCmdUseTool(%cl,%tool)
	{
		if(!isObject(%pl = %cl.player))
			return;
		if(%pl.ammoDropMode && getSimTime()-%pl.lastAmmoDropMode > 300)
		{
			%pl.currTool = %tool;
			%pl.swol_remountAmmoDropImage();
			return;
		}
		if(%pl.disableCmdSwap)
		{
			%pl.selTool = %tool;
			return;
		}
		
		%item = %pl.tool[%tool];
		if(%item.altImageCnt !$= "")
		{
			for(%i=0;%i<%item.altImageCnt;%i++)
			{
				%chance[%i] = (%item.altImageChance[%i])*1000;
			}
			%rnd = getRandom(0,1000);
			%chanceSum = 0;
			for(%i=0;%i<%item.altImageCnt;%i++)
			{
				if(%rnd <= %chanceSum+%chance[%i])
				{
					%tmp = %item.image;
					%item.image = %item.altImage[%i];
					break;
				}
				%chanceSum += %chance[%i];
			}
		}
		%p = parent::serverCmdUseTool(%cl,%tool);
		if(%tmp !$= "")
		{
			%item.image = %tmp;
		}
		return %p;
	}
	function serverCmdUnUseTool(%cl)
	{
		if(!isObject(%pl = %cl.player))
			return;
		if(%pl.ammoDropMode)
		{
			if(getSimTime()-%pl.lastAmmoDropMode < 300)
				return;
			%pl.swol_exitAmmoDropMode();
			%pl.unMountImage(0);
			%pl.playThread(1,root);
			return;
		}
		if(%pl.disableCmdSwap)
		{
			%pl.selTool = -1;
			return;
		}
		return parent::serverCmdUnUseTool(%cl);
	}
	function ItemData::onAdd(%this,%item)
	{
		if($sAmmoWeaponDropped !$= "")
		{
			%item.currAmmo = $sAmmoWeaponDropped;
			$sAmmoWeaponDropped = "";
		}
		return parent::onAdd(%this,%item);
	}
	function player::pickup(%pl,%item)
	{
		%db = %item.getDatablock();
		if(%db.sAmmoMode $= "Thrown")
		{
			if(isObject(%item.spawnBrick))
			{
				if(%item.temporaryUnfadepickup)
				{
					%item.fadeIn();
					%ret = parent::pickup(%pl,%item);
					if(isObject(%item))
					{
						%item.temporaryUnfadepickup = "";
						%item.fadeOut();
					}
				}
			}
			else
			{
				if(%item.canPickup)
				{
					%ret = parent::pickup(%pl,%item);
					if(%ret)
						%item.delete();
				}
			}
			return %ret;
		}
		%currAmmo = %item.currAmmo;
		%ret = parent::pickup(%pl,%item);
		if(%ret == 1)
		{
			if(%db.sAmmoMode $= "reservePull")
			{
				if(%currAmmo !$= "")
				{
					%pl.sReserve[%db.sAmmoType] = %currAmmo;
				}
				else
				{
					%pl.sReserve[%db.sAmmoType] = %db.sAmmo;
				}
			}
			else
			{
				if(%currAmmo $= "")
				{
					%pl.sAmmo[%db] = %db.sAmmo;
				}
				else
				{
					%pl.sAmmo[%db] = %currAmmo;
				}
			}
		}
		return %ret;
	}
	function WeaponImage::onUnMount(%db,%pl,%slot)
	{
		parent::onUnMount(%db,%pl,%slot);
		schedule(5,0,sAmmo_display,%pl);
		if(%db.isScoped && !%pl.sAmmo_unscoping)
		{
			%pl.sAmmo_unscoping = 1;
			sAmmo_setScoped(%pl,%db,0);
		}
		if(%pl.sAmmo_unscoping)
			%pl.sAmmo_unscoping = 0;
	}
	function WeaponImage::onMount(%db,%pl,%slot)
	{	
		parent::onMount(%db,%pl,%slot);
		if(%db.dbOverride !$= "")%db = %db.dbOverride;
		if(%db.item.sAmmo !$= "")
		{
			if(%pl.sAmmo[nameToId(%db.item)] $= "")
				%pl.sAmmo[nameToId(%db.item)] = %db.item.sAmmo;
			if(%pl.sReserve[%db.sAmmoType] $= "")
				%pl.sReserve[%db.sAmmoType] = 0;
			sAmmo_display(%pl);
		}
	}
	function serverCmdDropTool(%cl,%slot)
	{
		if(!isObject(%pl = %cl.player))
			return parent::serverCmdDropTool(%cl,%slot);
		if(%pl.tool[%slot] == 0)
			return;
		%item = %pl.tool[%slot];
		if(%item.sAmmoMode $= "Thrown")
		{
			%ammoName = %item.sAmmoType;
			if(%pl.sReserve[%ammoName] == 0)
				return;
			%pl.playThread(3,plant);
			%pl.playThread(0,shiftAway);
			%pl.unMountImage(0);
			%pl.disableCmdSwap = 1;
			%pl.selTool = %pl.currTool;
			%pl.schedule(300,delayedCmdSwap,1);
			%i = new item()
			{
				datablock = %item;
				position = %pl.getSlotTransform(0);
				canPickup = 0;
				minigame = %cl.minigame;
			};
			%i.setTransform(%pl.getSlotTransform(0));
			%i.canPickup = 0;
			%i.schedule(800,setCanPickup,1);
			%i.setVelocity(vectorScale(%pl.getForwardVector(),4));
			%i.schedule(9000,fadeOut);
			%i.schedule(9500,delete);
			%i.sAmmo = 1;
			%i.setShapeName(%i.sAmmo);
			%i.setShapeNameDistance(15);
			%pl.sReserve[%ammoName] -= %i.sAmmo;
			serverPlay3D(dropGeneric @ getRandom(1,2) @ Sound,%i.getPosition());
			if(%pl.sReserve[%ammoName] <= 0)
			{
				if(isObject(%im = %pl.getMountedImage(1)))
				{
					if(%im == nameToId(c4TriggerImage))
					{
						return;
					}
				}
				%pl.tool[%slot] = 0;
				messageClient(%cl,'MsgItemPickup','',%slot,0,1);
			}
			return;
		}
		else if(%item.sAmmoMode $= "reservePull")
		{
			if(%pl.sReserve[%item.sAmmoType] > %item.sAmmo)
				%amt = %item.sAmmo;
			else
				%amt = %pl.sReserve[%item.sAmmoType];
			%pl.sReserve[%item.sAmmoType] -= %amt;
			
			$sAmmoWeaponDropped = %amt;
		}
		else if((%ammo = %pl.sAmmo[%pl.tool[%slot].getID()]) !$= "")
			$sAmmoWeaponDropped = %ammo;
		if(%im = %pl.getMountedImage(0))
		{
			if(%im.isScoped && !%pl.sAmmo_unscoping)
			{
				%pl.sAmmo_unscoping = 1;
				sAmmo_setScoped(%pl,%im,0);
				%pl.unMountImage(0);
			}
			if(%pl.sAmmo_unscoping)
				%pl.sAmmo_unscoping = 0;
		}
		%prevTool = %pl.tool[%slot];
		parent::serverCmdDropTool(%cl,%slot);
		if(%im = %pl.getMountedImage(0))
		{
			if(nameToId(%im.item) == %prevTool)
			{
				%pl.unMountImage(0);
			}
		}
		if(nameToId(%item.scopedImage) == %im)
			%pl.unMountImage(0);
	}
};
schedule(1,0,activatePackage,swol_sweps);
function player::headExplosion(%pl,%flag)
{
	%pl.hideNode("headskin");
	for(%i=0;$hat[%i]!$="";%i++)
		%pl.hideNode($hat[%i]);
	for(%i=0;$accent[%i]!$="";%i++)
		%pl.hideNode($accent[%i]);
		
	%pl.mountImage(headBloodSprayImage,2);
	%pl.schedule(350,mountImage,headBloodTrickleImage,2);
	%pl.schedule(750,unMountImage,2);
}
function player::doReloadCheck(%bot,%db,%justFired)
{
	%bot.lastReloadCheck = getSimTime();
	if($Pref::Swol_NoAmmo)
		return;
	if(!%justFired)
	{
		if(%bot.getMountedImage(0) != %bot.hLastWeapon)
		{
			%bot.setWeapon(%db = %bot.hLastWeapon);
		}
	}
	else
	{
		if(%db $= "")
		{
			if(!(%db = %bot.getMountedImage(0)))
				return;
		}
	}
	if(%bot.getClassName() $= "AiPlayer")
	{
		if((%ammoMax = %db.item.sAmmo) !$= "")
		{
			%ammoLeft = sAmmo_check(%db,%bot,%slot)-%justFired;
			if(%ammoLeft < %ammoMax)
			{
				if(%ammoLeft == 0)
				{
					%bot.setImageLoaded(0,0);
					return 1;
				}
				else if(getSimTime()-%bot.swol_lastChaseTime > 7500)
				{
					if(%ammoMax > 50)
					{
						if(%ammoLeft > %ammoMax*0.4)
							return 1;
					}
					%bot.setImageLoaded(0,0);
					return 1;
				}
				else
				{
					return 0;
				}
			}
		}
	}
	return 1;
}