if($AddOn__Weapon_Gun == 1)
{
	ForceRequiredAddon("Weapon_Gun");
}
else
{
	datablock ParticleData(gunFlashParticle){dragCoefficient=3;gravityCoefficient=-0.5;inheritedVelFactor=0.2;constantAcceleration=0.0;lifetimeMS=25;lifetimeVarianceMS=15;
	textureName="base/data/particles/star1";spinSpeed=10.0;spinRandomMin=-500.0;spinRandomMax=500.0;colors[0]="0.90.90.00.9";colors[1]="0.90.50.00.0";sizes[0]=0.5;sizes[1]=1.0;useInvAlpha=false;};
	datablock ParticleEmitterData(gunFlashEmitter){ejectionPeriodMS=3;periodVarianceMS=0;ejectionVelocity=1.0;velocityVariance=1.0;ejectionOffset=0.0;thetaMin=0;thetaMax=90;
	phiReferenceVel=0;phiVariance=360;overrideAdvance=false;particles="gunFlashParticle";uiName="";};
	datablock ParticleData(gunSmokeParticle){dragCoefficient=3;gravityCoefficient=-0.5;inheritedVelFactor=0.2;constantAcceleration=0.0;lifetimeMS=525;lifetimeVarianceMS=55;
	textureName="base/data/particles/cloud";spinSpeed=10.0;spinRandomMin=-500.0;spinRandomMax=500.0;colors[0]="0.50.50.50.9";colors[1]="0.50.50.50.0";sizes[0]=0.15;sizes[1]=0.15;useInvAlpha=false;};
	datablock ParticleEmitterData(gunSmokeEmitter){ejectionPeriodMS=3;periodVarianceMS=0;ejectionVelocity=1.0;velocityVariance=1.0;ejectionOffset=0.0;thetaMin=0;
	thetaMax=90;phiReferenceVel=0;phiVariance=360;overrideAdvance=false;particles="gunSmokeParticle";uiName="";};
	datablock ParticleData(gunExplosionRingParticle){dragCoefficient=8;gravityCoefficient=-0.5;inheritedVelFactor=0.2;constantAcceleration=0.0;lifetimeMS=50;lifetimeVarianceMS=35;
	textureName="base/data/particles/star1";spinSpeed=500.0;spinRandomMin=-500.0;spinRandomMax=500.0;colors[0]="110.00.9";colors[1]="0.90.00.00.0";sizes[0]=1;sizes[1]=0;useInvAlpha=false;};
	datablock ParticleEmitterData(gunExplosionRingEmitter){lifeTimeMS=50;ejectionPeriodMS=3;periodVarianceMS=0;ejectionVelocity=0;velocityVariance=0.0;ejectionOffset=0.0;
	thetaMin=89;thetaMax=90;phiReferenceVel=0;phiVariance=360;overrideAdvance=false;particles="gunExplosionRingParticle";useEmitterColors=true;uiName="";};
	datablock ExplosionData(gunExplosion){soundProfile= "";lifeTimeMS=150;particleEmitter="";particleDensity=0;particleRadius=0;emitter[0]=gunExplosionRingEmitter;faceViewer=true;
	explosionScale="111";shakeCamera=false;camShakeFreq="10.011.010.0";camShakeAmp="1.01.01.0";camShakeDuration=0.5;camShakeRadius=10.0;lightStartRadius=2;lightEndRadius=2;
	lightStartColor="0.50.80.9";lightEndColor="000";};
	datablock ProjectileData(gunProjectile){projectileShapeName="base/data/shapes/empty.dts";directDamage=30;directDamageType=$DamageType::Default;radiusDamageType=$DamageType::Default;
	brickExplosionRadius=0;brickExplosionImpact=true;brickExplosionForce=10;brickExplosionMaxVolume=1;brickExplosionMaxVolumeFloating=2;impactImpulse=400;verticalImpulse=400;
	explosion=gunExplosion;particleEmitter="";muzzleVelocity=90;velInheritFactor=1;armingDelay=00;lifetime=4000;fadeDelay=3500;bounceElasticity=0.5;bounceFriction=0.20;
	isBallistic=false;gravityMod=0.0;hasLight=false;lightRadius=3.0;lightColor="000.5";uiName="";};
}





datablock ParticleData(sWepsGunSmokeParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 525;
	lifetimeVarianceMS   = 55;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.9 0.9 0.9 0.9";
	colors[1]     = "0.75 0.75 0.75 0.0";
	sizes[0]      = 0.15;
	sizes[1]      = 0.15;

	useInvAlpha = true;
};
datablock ParticleEmitterData(sWepsGunSmokeEmitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 0.7;
   velocityVariance = 0.7;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = sWepsGunSmokeParticle;
};

datablock DebrisData(sWepsFragDebris)
{
	shapeFile 			= "./model/frag.dts";
	lifetime 			= 2.8;
	spinSpeed			= 1200.0;
	minSpinSpeed 		= -3600.0;
	maxSpinSpeed 		= 3600.0;
	elasticity 			= 0.5;
	friction 			= 0.2;
	numBounces 			= 3;
	staticOnMaxBounce 	= true;
	snapOnMaxBounce 	= false;
	fade 				= true;
	gravModifier 		= 4;
};
datablock ParticleData(sWepsDustExplosionParticle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = 0.4;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 800;
	lifetimeVarianceMS   = 100;
	textureName          = "base/data/particles/cloud";
	spinSpeed			= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]			= "0.6 0.6 0.6 0.3";
	colors[1]			= "0.5 0.5 0.5 0.0";
	sizes[0]			= 0.75;
	sizes[1]			= 1.5;
	useInvAlpha 		= true;
};

datablock ParticleEmitterData(sWepsDustExplosionEmitter)
{
	ejectionPeriodMS	= 1;
	periodVarianceMS	= 0;
	ejectionVelocity	= 2;
	velocityVariance	= 1.0;
	ejectionOffset  	= 0.0;
	thetaMin			= 89;
	thetaMax			= 90;
	phiReferenceVel		= 0;
	phiVariance			= 360;
	overrideAdvance		= false;
	particles			= sWepsDustExplosionParticle;
};
datablock ParticleData(sWepsDustSmallExplosionParticle)
{
	dragCoefficient      = 1;
	gravityCoefficient   = 0.4;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 300;
	lifetimeVarianceMS   = 100;
	textureName          = "base/data/particles/cloud";
	spinSpeed			= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]			= "0.6 0.6 0.6 0.3";
	colors[1]			= "0.5 0.5 0.5 0.0";
	sizes[0]			= 0.55;
	sizes[1]			= 1.1;
	useInvAlpha 		= true;
};
datablock ParticleEmitterData(sWepsDustSmallExplosionEmitter)
{
	ejectionPeriodMS	= 1;
	periodVarianceMS	= 0;
	ejectionVelocity	= 1;
	velocityVariance	= 1.0;
	ejectionOffset  	= 0.0;
	thetaMin			= 89;
	thetaMax			= 90;
	phiReferenceVel		= 0;
	phiVariance			= 360;
	overrideAdvance		= false;
	particles			= sWepsDustSmallExplosionParticle;
};
datablock ExplosionData(sWepsDustExplosion)
{
	debris 					= sWepsFragDebris;
	debrisNum 				= 6;
	debrisNumVariance 		= 2;
	debrisPhiMin 			= 0;
	debrisPhiMax 			= 360;
	debrisThetaMin 			= 0;
	debrisThetaMax 			= 180;
	debrisVelocity 			= 12;
	debrisVelocityVariance 	= 6;
	explosionShape 			= "";
	particleEmitter 		= sWepsDustExplosionEmitter;
	particleDensity 		= 20;
	particleRadius 			= 0.4;
	lifeTimeMS 				= 150;
	faceViewer     			= true;
	explosionScale 			= "1 1 1";
	shakeCamera 			= false;
	camShakeFreq 			= "";
	camShakeAmp 			= "";
	camShakeDuration 		= 0;
	camShakeRadius 			= 0.0;
};
datablock ExplosionData(sWepsDustSmallExplosion)
{
	debris 					= sWepsFragDebris;
	debrisNum 				= 2;
	debrisNumVariance 		= 2;
	debrisPhiMin 			= 0;
	debrisPhiMax 			= 360;
	debrisThetaMin 			= 0;
	debrisThetaMax 			= 180;
	debrisVelocity 			= 12;
	debrisVelocityVariance 	= 6;
	explosionShape 			= "";
	particleEmitter 		= sWepsDustSmallExplosionEmitter;
	particleDensity 		= 8;
	particleRadius 			= 0.4;
	lifeTimeMS 				= 150;
	faceViewer     			= true;
	explosionScale 			= "1 1 1";
	shakeCamera 			= false;
	camShakeFreq 			= "";
	camShakeAmp 			= "";
	camShakeDuration 		= 0;
	camShakeRadius 			= 0.0;
};

datablock ParticleData(sWepBulletTrailParticle)
{
	dragCoefficient		= 3.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 120;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;

	textureName		= "base/data/particles/dot";

	colors[0]	= "1 0.6 0.4 0.99";
	colors[1]	= "1 0.3 0 0.99";
	colors[2]	= "1 0.1 0 0.99";
	sizes[0]	= 0.2;
	sizes[1]	= 0.15;
	sizes[2]	= 0.0;
	times[0]	= 0.0;
	times[1]	= 0.5;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(sWepBulletTrailEmitter)
{
	ejectionPeriodMS = 1;
	periodVarianceMS = 0;
	ejectionVelocity = 0;
	velocityVariance = 0;
	ejectionOffset = 0;

	thetaMin         = 0.0;
	thetaMax         = 90.0;  

	particles = sWepBulletTrailParticle;
	useEmitterColors = true;
};
datablock ParticleData(sWepPenBulletTrailParticle)
{
	dragCoefficient		= 3.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 120;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;

	textureName		= "base/data/particles/dot";

	colors[0]	= "1 0.15 0 1";
	colors[1]	= "1 0.1 0 1";
	colors[2]	= "1 0 0 1";
	sizes[0]	= 0.2;
	sizes[1]	= 0.15;
	sizes[2]	= 0.0;
	times[0]	= 0.0;
	times[1]	= 0.5;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(sWepPenBulletTrailEmitter)
{
	ejectionPeriodMS = 1;
	periodVarianceMS = 0;
	ejectionVelocity = 0;
	velocityVariance = 0;
	ejectionOffset = 0;

	thetaMin         = 0.0;
	thetaMax         = 90.0;  

	particles = sWepPenBulletTrailParticle;
	useEmitterColors = true;
};
datablock PlayerData(emptyPlayer : playerStandardArmor)
{
	shapeFile = "base/data/shapes/empty.dts";
	boundingBox = "0.01 0.01 0.01";
	crouchboundingBox = "0.01 0.01 0.01";
	isEmptyPlayer = true;
	deathSound = "";
	painSound = "";
	useCustomPainEffects = true;
	mountSound = "";
	jumpSound = "";
	uiName = "";
};


datablock AudioProfile(bulletImpactEnv1Sound)
{
	filename    = "./sound/impact_env1.wav";
	description = AudioClosest3d;
	preload = true;
};
datablock AudioProfile(bulletImpactEnv2Sound : bulletImpactEnv1Sound)
{
	filename    = "./sound/impact_env2.wav";
	description = AudioClosest3d;
};
datablock AudioProfile(bulletImpactEnv3Sound : bulletImpactEnv1Sound)
{
	filename    = "./sound/impact_env3.wav";
	description = AudioClosest3d;
};
datablock AudioProfile(bulletImpactEnv4Sound : bulletImpactEnv1Sound)
{
	filename    = "./sound/impact_env4.wav";
	description = AudioClosest3d;
};
datablock AudioProfile(bulletImpactEnv5Sound : bulletImpactEnv1Sound)
{
	filename    = "./sound/impact_env5.wav";
	description = AudioClosest3d;
};


datablock AudioProfile(bulletImpactPl1Sound : bulletImpactEnv1Sound)
{
	filename    = "./sound/impact_pl1.wav";
	description = AudioClosest3d;
};
datablock AudioProfile(bulletImpactPl2Sound : bulletImpactEnv1Sound)
{
	filename    = "./sound/impact_pl2.wav";
	description = AudioClosest3d;
};
datablock AudioProfile(bulletImpactPl3Sound : bulletImpactEnv1Sound)
{
	filename    = "./sound/impact_pl3.wav";
	description = AudioClosest3d;
};
datablock AudioProfile(bulletImpactPl4Sound : bulletImpactEnv1Sound)
{
	filename    = "./sound/impact_pl4.wav";
	description = AudioClosest3d;
};
datablock AudioProfile(bulletMiss1Sound)
{
	filename    = "./sound/bullet_miss1.wav";
	description = AudioClosest3d;
	preload = true;
};
datablock AudioProfile(bulletMiss2Sound : bulletMiss1Sound)
{
	filename    = "./sound/bullet_miss2.wav";
	description = AudioClosest3d;
};
datablock AudioProfile(bulletMiss3Sound : bulletMiss1Sound)
{
	filename    = "./sound/bullet_miss3.wav";
	description = AudioClosest3d;
};
datablock AudioProfile(bulletMiss4Sound : bulletMiss1Sound)
{
	filename    = "./sound/bullet_miss4.wav";
	description = AudioClosest3d;
};
datablock AudioProfile(bulletMiss5Sound : bulletMiss1Sound)
{
	filename    = "./sound/bullet_miss5.wav";
	description = AudioClosest3d;
};
datablock AudioProfile(pickupGeneric1Sound : bulletImpactEnv1Sound)
{
	filename    = "./sound/pickup_generic1.wav";
	description = AudioClosest3d;
};
datablock AudioProfile(pickupGeneric2Sound : pickupGeneric1Sound)
{
	filename    = "./sound/pickup_generic2.wav";
};
datablock AudioProfile(pickupGeneric3Sound : pickupGeneric1Sound)
{
	filename    = "./sound/pickup_generic3.wav";
};
//datablock AudioProfile(pickupSmallWep1Sound : pickupGeneric1Sound)
//{
//	filename    = "./sound/pickup_smallWep1.wav";
//};
//datablock AudioProfile(pickupSmallWep2Sound : pickupGeneric1Sound)
//{
//	filename    = "./sound/pickup_smallWep2.wav";
//};
//datablock AudioProfile(pickupLargeWep1Sound : pickupGeneric1Sound)
//{
//	filename    = "./sound/pickup_largeWep1.wav";
//	description = AudioClose3d;
//};
//datablock AudioProfile(pickupLargeWep2Sound : pickupGeneric1Sound)
//{
//	filename    = "./sound/pickup_largeWep2.wav";
//	description = AudioClose3d;
//};
datablock AudioProfile(pickupAmmo1Sound : bulletImpactEnv1Sound)
{
	filename    = "./sound/pickup_ammo1.wav";
	description = AudioClosest3d;
};
datablock AudioProfile(pickupAmmo2Sound : pickupAmmo1Sound)
{
	filename    = "./sound/pickup_ammo2.wav";
};
datablock AudioProfile(dropGeneric1Sound : pickupAmmo1Sound)
{
	filename    = "./sound/drop_generic1.wav";
};
datablock AudioProfile(dropGeneric2Sound : pickupAmmo1Sound)
{
	filename    = "./sound/drop_generic2.wav";
};

datablock ParticleData(shotgunBloodExplosionParticle)
{
	dragCoefficient      = 2;
	gravityCoefficient   = 0.1;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 400;
	textureName          = "base/data/particles/cloud";
	spinSpeed			= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]			= "0.5 0.1 0.1 0.2";
	colors[1]			= "0.7 0.1 0.1 0.0";
	sizes[0]			= 0.95;
	sizes[1]			= 2.2;
	useInvAlpha 		= true;
};

datablock ParticleEmitterData(shotgunBloodExplosionEmitter)
{
	ejectionPeriodMS	= 6;
	periodVarianceMS	= 0;
	ejectionVelocity	= 2;
	velocityVariance	= 1.0;
	ejectionOffset  	= 0.0;
	thetaMin			= 89;
	thetaMax			= 90;
	phiReferenceVel		= 0;
	phiVariance			= 360;
	overrideAdvance		= false;
	particles			= shotgunBloodExplosionParticle;
};
datablock ParticleData(shotgunBloodBitParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = 2;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 400;
	textureName          = "base/data/particles/dot";
	spinSpeed			= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]			= "0.5 0.1 0.1 0.7";
	colors[1]			= "0.6 0.1 0.1 0.0";
	sizes[0]			= 0.16;
	sizes[1]			= 0;
	useInvAlpha 		= true;
};

datablock ParticleEmitterData(shotgunBloodBitEmitter)
{
	ejectionPeriodMS	= 12;
	periodVarianceMS	= 0;
	ejectionVelocity	= 5;
	velocityVariance	= 1.0;
	ejectionOffset  	= 0.0;
	thetaMin			= 0;
	thetaMax			= 80;
	phiReferenceVel		= 0;
	phiVariance			= 360;
	overrideAdvance		= false;
	particles			= shotgunBloodBitParticle;
};
datablock ExplosionData(shotgunBloodHitExplosion)
{
	explosionShape 			= "";
	emitter[0]				= shotgunBloodBitEmitter;
	particleEmitter 		= shotgunBloodExplosionEmitter;
	particleDensity 		= 7;
	particleRadius 			= 0.2;
	lifeTimeMS 				= 150;
	faceViewer     			= true;
	explosionScale 			= "1 1 1";
	shakeCamera 			= true;
	camShakeFreq 			= "5.0 6.0 5.0";
	camShakeAmp 			= "2.0 3.0 2.0";
	camShakeDuration 		= 0.6;
	camShakeRadius 			= 3.0;
};
datablock ProjectileData(shotgunBloodHitProjectile)
{
	explosion = shotgunBloodHitExplosion;
};











datablock ParticleData(bulletBloodExplosionParticle)
{
	dragCoefficient      = 2;
	gravityCoefficient   = 0.1;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 400;
	textureName          = "base/data/particles/cloud";
	spinSpeed			= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]			= "0.5 0.1 0.1 0.5";
	colors[1]			= "0.7 0.1 0.1 0.0";
	sizes[0]			= 0.65;
	sizes[1]			= 1.2;
	useInvAlpha 		= true;
};

datablock ParticleEmitterData(bulletBloodExplosionEmitter)
{
	ejectionPeriodMS	= 6;
	periodVarianceMS	= 0;
	ejectionVelocity	= 2;
	velocityVariance	= 1.0;
	ejectionOffset  	= 0.0;
	thetaMin			= 89;
	thetaMax			= 90;
	phiReferenceVel		= 0;
	phiVariance			= 360;
	overrideAdvance		= false;
	particles			= bulletBloodExplosionParticle;
};
datablock ParticleData(bulletBloodBitParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = 2;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 400;
	lifetimeVarianceMS   = 300;
	textureName          = "base/data/particles/dot";
	spinSpeed			= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]			= "0.5 0.1 0.1 0.5";
	colors[1]			= "0.7 0.1 0.1 0.0";
	sizes[0]			= 0.14;
	sizes[1]			= 0;
	useInvAlpha 		= true;
};

datablock ParticleEmitterData(bulletBloodBitEmitter)
{
	ejectionPeriodMS	= 7;
	periodVarianceMS	= 0;
	ejectionVelocity	= 5;
	velocityVariance	= 1.0;
	ejectionOffset  	= 0.0;
	thetaMin			= 0;
	thetaMax			= 80;
	phiReferenceVel		= 0;
	phiVariance			= 360;
	overrideAdvance		= false;
	particles			= bulletBloodBitParticle;
};
datablock ExplosionData(bulletBloodHitExplosion)
{
	explosionShape 			= "";
	emitter[0]				= bulletBloodBitEmitter;
	particleEmitter 		= bulletBloodExplosionEmitter;
	particleDensity 		= 7;
	particleRadius 			= 0.2;
	lifeTimeMS 				= 150;
	faceViewer     			= true;
	explosionScale 			= "1 1 1";
	shakeCamera 			= true;
	camShakeFreq 			= "5.0 6.0 5.0";
	camShakeAmp 			= "0.5 1.0 0.5";
	camShakeDuration 		= 0.3;
	camShakeRadius 			= 3.0;
};
datablock ProjectileData(bulletBloodHitProjectile)
{
	explosion = bulletBloodHitExplosion;
};





datablock ParticleData(heavyBulletBloodExplosionParticle)
{
	dragCoefficient      = 2;
	gravityCoefficient   = 0.1;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 400;
	lifetimeVarianceMS   = 300;
	textureName          = "base/data/particles/cloud";
	spinSpeed			= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]			= "0.5 0.1 0.1 0.7";
	colors[1]			= "0.7 0.1 0.1 0.0";
	sizes[0]			= 0.9;
	sizes[1]			= 1.6;
	useInvAlpha 		= true;
};

datablock ParticleEmitterData(heavyBulletBloodExplosionEmitter)
{
	ejectionPeriodMS	= 6;
	periodVarianceMS	= 0;
	ejectionVelocity	= 2;
	velocityVariance	= 1.0;
	ejectionOffset  	= 0.0;
	thetaMin			= 89;
	thetaMax			= 90;
	phiReferenceVel		= 0;
	phiVariance			= 360;
	overrideAdvance		= false;
	particles			= heavyBulletBloodExplosionParticle;
};
datablock ParticleData(heavyBulletBloodBitParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = 2;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 500;
	lifetimeVarianceMS   = 300;
	textureName          = "base/data/particles/dot";
	spinSpeed			= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]			= "0.5 0.1 0.1 0.7";
	colors[1]			= "0.7 0.1 0.1 0.0";
	sizes[0]			= 0.18;
	sizes[1]			= 0;
	useInvAlpha 		= true;
};

datablock ParticleEmitterData(heavyBulletBloodBitEmitter)
{
	ejectionPeriodMS	= 4;
	periodVarianceMS	= 0;
	ejectionVelocity	= 5;
	velocityVariance	= 1.0;
	ejectionOffset  	= 0.0;
	thetaMin			= 0;
	thetaMax			= 80;
	phiReferenceVel		= 0;
	phiVariance			= 360;
	overrideAdvance		= false;
	particles			= heavyBulletBloodBitParticle;
};
datablock ExplosionData(heavyBulletBloodHitExplosion)
{
	explosionShape 			= "";
	emitter[0]				= heavyBulletBloodBitEmitter;
	particleEmitter 		= heavyBulletBloodExplosionEmitter;
	particleDensity 		= 15;
	particleRadius 			= 0.2;
	lifeTimeMS 				= 150;
	faceViewer     			= true;
	explosionScale 			= "1 1 1";
	shakeCamera 			= true;
	camShakeFreq 			= "5.0 6.0 5.0";
	camShakeAmp 			= "2 3.0 2";
	camShakeDuration 		= 0.6;
	camShakeRadius 			= 3.0;
};
datablock ProjectileData(heavyBulletBloodHitProjectile)
{
	explosion = heavyBulletBloodHitExplosion;
};






datablock ParticleData(headBloodSprayParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = 2;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 600;
	lifetimeVarianceMS   = 300;
	textureName          = "base/data/particles/dot";
	spinSpeed			= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]			= "0.5 0.1 0.1 0.8";
	colors[1]			= "0.7 0.1 0.1 0.0";
	sizes[0]			= 0.3;
	sizes[1]			= 0;
	useInvAlpha 		= true;
};

datablock ParticleEmitterData(headBloodSprayEmitter)
{
	ejectionPeriodMS	= 4;
	periodVarianceMS	= 0;
	ejectionVelocity	= 8;
	velocityVariance	= 1.0;
	ejectionOffset  	= 0.1;
	thetaMin			= 0;
	thetaMax			= 40;
	phiReferenceVel		= 0;
	phiVariance			= 360;
	overrideAdvance		= false;
	particles			= headBloodSprayParticle;
};

datablock shapeBaseImageData(headBloodSprayImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	offset = "0 0 -0.25";
	mountPoint = $headSlot;
	rotation = "-1 0 0 90";
	
	stateName[0]					= "Ready";
	stateTimeoutValue[0]			= 0.01;
	stateTransitionOnTimeout[0] 	= "EmitA";
	
	stateName[1]					= "EmitA";
	stateTimeoutValue[1]			= 5;
	stateEmitterTime[1]				= 5;
	stateEmitter[1]					= headBloodSprayEmitter;
	stateTransitionOnTimeout[1] 	= "EmitB";
	
	stateName[2]					= "EmitB";
	stateTimeoutValue[2]			= 5;
	stateEmitterTime[2]				= 5;
	stateEmitter[2]					= headBloodSprayEmitter;
	stateTransitionOnTimeout[2] 	= "EmitA";
};

datablock ParticleData(headBloodTrickleParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = 1.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 300;
	lifetimeVarianceMS   = 150;
	textureName          = "base/data/particles/dot";
	spinSpeed			= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]			= "0.5 0.1 0.1 0.7";
	colors[1]			= "0.7 0.1 0.1 0.0";
	sizes[0]			= 0.16;
	sizes[1]			= 0;
	useInvAlpha 		= true;
};

datablock ParticleEmitterData(headBloodTrickleEmitter)
{
	ejectionPeriodMS	= 4;
	periodVarianceMS	= 0;
	ejectionVelocity	= 2;
	velocityVariance	= 1.0;
	ejectionOffset  	= 0.1;
	thetaMin			= 0;
	thetaMax			= 180;
	phiReferenceVel		= 0;
	phiVariance			= 360;
	overrideAdvance		= false;
	particles			= headBloodTrickleParticle;
};

datablock shapeBaseImageData(headBloodTrickleImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	offset = "0 0 -0.25";
	mountPoint = $headSlot;
	rotation = "-1 0 0 90";
	
	stateName[0]					= "Ready";
	stateTimeoutValue[0]			= 0.01;
	stateTransitionOnTimeout[0] 	= "EmitA";
	
	stateName[1]					= "EmitA";
	stateTimeoutValue[1]			= 5;
	stateEmitterTime[1]				= 5;
	stateEmitter[1]					= headBloodTrickleEmitter;
	stateTransitionOnTimeout[1] 	= "EmitB";
	
	stateName[2]					= "EmitB";
	stateTimeoutValue[2]			= 5;
	stateEmitterTime[2]				= 5;
	stateEmitter[2]					= headBloodTrickleEmitter;
	stateTransitionOnTimeout[2] 	= "EmitA";
};